<!DOCTYPE html>
<html>
<head>
    <title><?=Config::get('site_name')?></title>
    <meta charset="utf-8">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
    <style>
        body{
            padding-top: 50px;
        }
        .starter-template{
            padding: 40px 15px;
        }
        form{
            width: 400px;
        }
        .alert-info{
            width: 400px;
            max-width: 400px;
        }
        .hidden_submit{
            visibility: hidden;
        }
    </style>
    <script>
        function confirmDelete(){
            if ( confirm("Delete this user?") ){
                return true;
            } else {
                return false;
            }
        }

        $( document ).ready(function() {
            $("#msg_table .btn").click(function(){
                $id = $(this).attr("value");
                if ( confirm("resend this message #"+$id+"?") ) {
                    $('input[name="resent_msg_id"]').val($id);
                    $("#resend_form").submit();
                } else {
                    return false;
                }
            });

//
//            $("#user_table .btn").click(function(){
//                $id = $(this).attr("value");
//                if ( confirm("delete user with id #"+$id+"?") ) {
//                    $('input[name="deleted_user_id"]').val($id);
//                    $("#resend_form").submit();
//                } else {
//                    return false;
//                }
//            });

        });
    </script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap-theme.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>
</head>
<body>

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <a class="navbar-brand" href="/"><?=Config::get('site_name')?> - Admin Section</a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
            <?php if (Session::get('role') == 'admin') { ?>
            <ul class="nav navbar-nav">
                <li <?php if( App::getRouter()->getController() == 'messages' ) {?>class="active"<?php } ?>><a href="/admin/messages/">Messages</a></li>
                <li <?php if( App::getRouter()->getController() == 'users' ) {?>class="active"<?php } ?>><a href="/admin/users/">Users</a></li>
                <li><a href="/admin/users/logout">Logout</a></li>
            </ul>
            <?php } ?>
        </div>
    </div>
</nav>

<div class="container">

    <div class="starter-template">

        <?php if( Session::hasFlash() ){ ?>
        <div class="alert alert-info" role="alert">
            <?php Session::flash(); ?>
        </div>
        <?php } ?>

        <?=$data['content']?>
    </div>

</div>

</body>
</html>